# Update a scheduled voice callback

Endpoint: PATCH /voice/callback
Version: 3.0.0
Security: bearerAuth, apiKeyAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer Token

  - `apiKeyAuth` (unknown)
    apiKey in header Key

## Query parameters:

  - `taskId` (string)
    Callback task id

## Request fields (application/json):

  - `taskId` (string, required)
    TaskId for the callback which needs to be updated

  - `slotInformation` (object)
    Slot Information

  - `slotInformation.startTime` (integer)
    Slot Start Time

  - `slotInformation.endTime` (integer)
    Slot End Time

  - `slotInformation.available` (boolean)
    Slot Availability

  - `slotInformation.slotConfigId` (string)
    Slot Config

  - `slotInformation.slotDefinitionId` (string)
    Slot Definition

  - `customProperties` (object)
    custom properties

  - `phoneNumber` (string)
    Updated Phone Number to call

  - `fromTime` (integer)
    Updated Time after which callback will be scheduled

  - `requiredSkills` (object)
    Skill name vs proficiency mapping

  - `note` (string)
    Note for call back

  - `priority` (integer)
    Priority of the call back

  - `reAssigneeType` (string)
    Re-Assignee Type

  - `reAssigneeId` (string)
    Re-Assignee Id

  - `reAssignAfterInterval` (integer)
    Re-Assign Interval

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 401:

  - `401` (unknown)
    Missing or invalid authentication

## Response 401 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 403:

  - `403` (unknown)
    Insufficient permissions

## Response 403 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

## Response 404:

  - `404` (unknown)
    Resource not found

## Response 404 fields (application/json):

  - `data` (object)

  - `errors` (array)

  - `errors.id` (string, required)
    24-character hex ObjectId

  - `errors.code` (integer, required)

  - `errors.message` (string, required)
    Dotted error key (e.g. account.not.found)

  - `metadata` (object)

